# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
# END SourceDeps(oneline)
Name:           spherical-cow-backgrounds
Version:        18.0.0
Release:        alt1_2
Summary:        Spherical Cow desktop backgrounds

Group:          Graphics
License:        CC-BY-SA
URL:            https://fedoraproject.org/wiki/F18_Artwork
Source0:        https://fedorahosted.org/released/design-team/%{name}-%{version}.tar.xz

BuildArch:      noarch

# for %%_kde4_* macros
Requires:       %{name}-gnome = %{version}-%{release}
Requires:       %{name}-kde = %{version}-%{release}
Source44: import.info


%description
This package contains desktop backgrounds for the Spherical Cow theme.
Pulls in both Gnome and KDE themes.

%package        single
Summary:        Single screen images for Spherical Cow Backgrounds
Group:          Graphics
License:        CC-BY-SA

%description    single
This package contains single screen images for Spherical Cow
Backgrounds.

%package        kde
Summary:        Spherical Cow Wallpapers for KDE
Group:          Graphics

Requires:       %{name}-single = %{version}-%{release}

%description    kde
This package contains KDE desktop wallpapers for the Spherical Cow
theme.

%package        gnome
Summary:        Spherical Cow Wallpapers for Gnome
Group:          Graphics

Requires:       %{name}-single = %{version}-%{release}

%description    gnome
This package contains Gnome desktop wallpapers for the Spherical Cow
theme.

%package        xfce
Summary:        Spherical Cow Wallpapers for XFCE4
Group:          Graphics

Requires:       %{name}-single = %{version}-%{release}
Requires:       xfdesktop

%description    xfce
This package contains XFCE4 desktop wallpapers for the Spherical Cow
theme.

%package        extras-single
Summary:        Single screen images for Spherical Cow Extras Backrounds
Group:          Graphics
License:        CC-BY and CC-BY-SA

%description    extras-single
This package contains single screen images for Spherical Cow supplemental
wallpapers.

%package        extras-gnome
Summary:        Extra Spherical Cow Wallpapers for Gnome
Group:          Graphics

Requires:       %{name}-extras-single

%description    extras-gnome
This package contains Spherical Cow supplemental wallpapers for Gnome

%package        extras-kde
Summary:        Extra Spherical Cow Wallpapers for KDE
Group:          Graphics

Requires:       %{name}-extras-single

%description    extras-kde
This package contains Spherical Cow supplemental wallpapers for Gnome

%package        extras-xfce
Summary:        Extra Spherical Cow Wallpapers for XFCE
Group:          Graphics

Requires:       %{name}-extras-single

%description    extras-xfce
This package contains Spherical Cow supplemental wallpapers for XFCE


%prep
%setup -q


%build
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%doc

%files single
%doc CC-BY-SA?3.0 Attribution
%dir %{_datadir}/backgrounds/spherical-cow
%dir %{_datadir}/backgrounds/spherical-cow/default
%{_datadir}/backgrounds/spherical-cow/default/normalish
%{_datadir}/backgrounds/spherical-cow/default/standard
%{_datadir}/backgrounds/spherical-cow/default/wide

%files kde
%{_kde4_datadir}/wallpapers/Spherical_Cow/

%files gnome
%{_datadir}/backgrounds/spherical-cow/default/spherical-cow.xml
%{_datadir}/gnome-background-properties/desktop-backgrounds-spherical-cow.xml

%files xfce
%{_datadir}/xfce4/backdrops/spherical-cow.png

%files extras-single
%doc CC-BY-SA?3.0 CC-BY-SA?2.0 CC-BY?2.0 Attribution-Extras
%{_datadir}/backgrounds/spherical-cow/extras/*.jpg

%files extras-gnome
%{_datadir}/backgrounds/spherical-cow/extras/spherical-cow-extras.xml
%{_datadir}/gnome-background-properties/desktop-backgrounds-spherical-cow-extras.xml

%files extras-kde
%{_kde4_datadir}/wallpapers/Spherical_Cow_*/

%files extras-xfce
%{_datadir}/xfce4/backdrops/*.jpg

%changelog
* Wed May 01 2013 Igor Vlasenko <viy@altlinux.ru> 18.0.0-alt1_2
- initial fc import

